//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wAboutView::
//   Generates a page that describes the p4web version & browser version

#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wAboutView.h"
#include "p4wMenuPane.h"

#include "p4wAboutPane.h"

p4wAboutView::p4wAboutView( p4wRequest & Request )
	: p4wView( Request )
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Information" );
	fFullTitle.Set( "Information" );
}

p4wAboutView::~p4wAboutView()
{
}

void p4wAboutView::RenderContent()
{
	//
	// Generate About content by requesting p4 info

	p4wAboutPane aboutPane( *this, fRequest );
	
	fRequest.p4( "info", 0, 0, &aboutPane );	

	//
	// Wait for the pane to draw.
	
	fRequest.p4Wait();
}

void p4wAboutView::RenderMenu()
{
	//
	// Draw the menu bar
	
	p4wMenuPane menuPane( *this, fRequest, "serverinfo" );
	menuPane.Render( NULL );
}
